Overview
Top Next

VCW VicMan's Photo Editor is a versatile image editor with intuitive, original, easy-to-learn interface and a variety of features. This powerful application is user-friendly, offering users the simplicity of image editing, high productivity and easy customizing abilities.

Now you don't have to fork out hundreds of dollars for a quality image editor. This award-winning application is free of charge and comes with a wide range of essential features for both novice users and professional designers. With VCW VicMan's Photo Editor you can refine your digital photos, draw artwork naturally and effortlessly, produce superb graphics for the web.


Features
Previous Top Next

VCW VicMan's Photo Editor features are as follows:

Main Features

· 30+ image file formats support
· Nearly a hundred(!) pre-installed filters, transformations and effects
· Save images as JPG, GIF (PRO version only), BMP, TIFF, PCX and TGA
· Import images from any TWAIN source
· Use Adobe Photoshop-compatible plug-ins

Interface Features

· Preview images as you edit them: click on the preview window to work with the selected area in the editing window
· Edit and preview images at any scale
· Get the best of the context-sensitive main toolbar
· Use the toolbar window for editing and retouching images
· Preview thumbnails or full-sized images before you open them
· Switch between files easily with toolbar buttons
· Drag windows within the main window to any location for comfortable use

Toolbars and Brushes

· Drawing tools - Pencil, Brush and Eraser. Draw effortlessly and naturally using these tools. Use the options window to change parameters of these tools: Type, Shape, Size and Transparency
· Color selection - Eyedropper. Use this tool to pick a color from your image in the editing window
· Fills - fill the selected area with foreground or background color
· Color selection and replacement - Replace with Background, Exclusive Replace with Background. Replace selected colors with the colors of your choice. These effects apply to a selected area or the whole image
· Selection tools - Select Region, Select by Color, Lasso. Select rectangular or freeform areas for editing
· Move Region - Move a selected area around the image
· Text tool - Insert text objects using a dialog window. Apply font styles (italics, bold, underline) and use anti-aliasing tools
· Gradient tool: fill a selected area with linear gradient from the foreground to the background color
· External and internal cloning tools: clone the image using its part or another image as a source (PRO version only)

Transformations, Effects and Filters

· Apply to your images one or more popular styles: Button, Clouds, Emboss
· Use a variety of effects for all or part of an image: Twirl, Seawave, Fingerprints, Fish Eye and more
· Use built-in transformations or create and save your own ones to skew, slant, twist, slice and dice your images
· Create your own trilinear filters
· Rotate and flip horizontally/vertically your images
· Remove noise from your images using Gaussian or Median filter
· Crop and resize images

Color Management

· Pick colors easily in the color palette window; choose from 48 basic colors and adjust them to anything you like using sliding bars or type in their RGB values
· Set up to 18 custom colors easily for the quickest access imaginable in the color palette window
· Swap background and foreground colors with a click of a mouse
· Adjust color tolerance on three channels (Red, Green, Blue) without a dialog window: the color tolerance bar is conveniently placed at the bottom of the preview window
· Refine your images using gamma correction tool
· Adjust brightness, saturation and contrast quickly and easily
· Perform automatic color correction with "Auto Le

PRO Version Features

· Open and edit as many images as you like simultaneously
· Export your artwork to GIF format
· Open and edit large images (larger than 1000x1000 pixels)
· External and internal cloning tools: clone the image using its part or another image as a source


System requirements

Your computer should meet the following requirements in order for VCW VicMan's Photo Editor to run properly:

· Microsoft Windows 95, 98, 2000, Me, XP or NT 4.0
· Intel Pentium 66 MHz or higher (P166 MHz recommended)
· 16 Mb RAM (32 MB recommended)
· Approximately 1,6 MB of hard disk space
· Display with at least 256 color depth (64K recommended) and 800x600 screen resolution
· Mouse or other pointing device.


Benefits of the PRO version

Upgrade your free version of VCW VicMan's Photo Editor to the PRO version for $29.95. You will get:

More features

· Open and edit as many images as you like simultaneously
· Export your artwork to GIF format
· Open and edit large images (more than 1000x1000 pixels)
· Use advanced cloning tools: clone images using their own parts or external images as a source

Free support and upgrades

· Free lifetime technical support by e-mail. (See contact details in Contacts).
· Free lifetime upgrades to future releases

Unconditional 90-day moneyback guarantee
· If you are not 100% satisfied with our product within the 90 day period, we will refund the full purchase price without any conditions or questions.

Order VCW VicMan's Photo Editor PRO now!


How to buy VCW VicMan's Photo Editor PRO

How to buy the program

You can buy a copy of VCW VicMan's Photo Editor PRO for just $29.95. All orders are proceeded via our online shop. Please visit this page to place your order. You will find there all the information needed about purchasing our software, accepted payment methods and more. You can also access this page by choosing the "Purchase" option in the "PRO version" tab on the main program menu.


Main window

See the screenshot below to familiarize yourself with the look of VCW VicMan's Photo Editor main window.

The main window consists of the following sub windows and toolbars:
· Main menu
· Main toolbar
· Preview window
· Editing window
· Toolbar window
· Color palette window
· Options window

All windows can be easily moved about the main window for your convenience.


Main menu

The main menu lets you access most of VCW VicMan's Photo Editor features.

The File tab contains file management commands, such as image creating, opening, saving and printing. The commands are pretty self-explanatory.

The Edit tab contains commands for clipboard management as well as basic transformation tools.

The Effects tab provides access to rendering tools, advanced transformations, trilinear filters and color adjustment tools.

The Pro version tab contains the Purchase button for those who are ready to buy the PRO version of the editor and the tool available in the PRO version only - export to GIF.

The Plug-ins tab lets you access built-in plug-ins, import your own plug-ins and remove unused plug-ins.

The More features tab contains links to Feature suggestion utility (send an email suggesting an improvement for VCW VicMan's Photo Editor) and the Order new feature option (custom software development by VicMan Software).

The ? tab contains links to the About window, this help file and the troubleshooting utility.


Main toolbar

The main toolbar contains several groups of buttons that let you easily access most frequently needed features, such as image opening, saving and closing, working with the clipboard and switching between images. The buttons duplicate some of the File and Edit submenu functions in the main menu.

maintoolbar2 copy

· New image (Ctrl+N) - creates a new image
· Open image (Ctrl+O) - opens an existing image
· Save image (Ctrl+S) - saves the current image
· Close image - closes the current image
· Print image (Ctrl+P) - prints out the current image
· Scan image - scans an image using a TWAIN source and imports it to the editor
· Undo last move (Ctrl+Z) - undo last editing turn. This feature is multi-level and stores as many as five undo moves
· Cut (Ctrl+X) - cuts a selection to the clipboard
· Copy (Ctrl+C) - copies a selection to the clipboard
· Paste (Ctrl+V) - pastes the clipboard contents to the current image
· Select all (Ctrl+A) - selects all the image
· Crop image - deletes all parts of the image but the selected area
· Image selector - numbered buttons for switching between images


Preview window

The preview window is used for previewing the whole image at once. Whether you are drawing a simple picture, creating a logo for your web page or retouching an image, you will appreciate the possibility of viewing the whole image at once without doing necessary movements as in some other image editors where only the editing window is constantly displayed on the screen.

The preview window lets you view the image and navigate through it. The thin light-colored line shows the part of the image that is visible and available for working with in the editing window.

preview window

To select an area for editing, simply click on it and the change in location will be seen immediately.

To scroll the image in the editing window, left-click on the preview window and, holding the left mouse button down, drag through the image to the desired location.

To prevent any scrolling, you can select an area for the editing window with your right mouse button.

The title of the preview window informs you of the scale you are viewing the image - for the screenshot below it is 200% or twice the real size of the picture.

The zoom controls are located in the right bottom part of the preview window. "+" stands for zooming in and "-" - for zooming out.

Note that you can zoom in and out the image in the editing window only. To change the scale of the preview window you should change the size of the window itself.


Editing window

The editing window is the main window of VCW VicMan's Photo Editor. This is the sub window where all the actual editing of the image is done - selecting regions, drawing and painting, applying colors etc.

You can work with the whole image at once or part of it, depending on the size of the editing window, your screen resolution and the size of the image itself.

You can change the size of the window by dragging its corners inwards (to make it smaller) or outwards (to make it larger).

The zoom controls are located at the bottom part of the preview window.

The title bar lets you see the scale at which the image is being edited and the exact position of the cursor (on the screenshot: x=15, y=26; scale - 400%).


Toolbar window

The toolbar window contains buttons for image editing tools, such as drawing and painting tools, selection tools etc. It also contains quick access buttons to saturation, brightness and contrast adjustment utility, effects and plug-ins.

Tools

· Pencil - a basic drawing tool
· Paintbrush - the same as Pencil, but with anti-aliasing
· Eraser - clears out drawing with background color
· Eyedropper - a color picker
· Fill - fills a selected region with foreground color
· Fill up to the background color - fills a selected region with foreground color up to the background color
· Color replace 1 - replaces the clicked color with background color
· Color replace 2 - replaces all colors except the clicked one with background color
· Select rectangular region - selects a rectangular area
· Magic Wand - selects a region of similar color
· Lasso - selects a freeform region
· Move selection - moves a selected region
· Text tool - types text of various font faces, styles and colors
· Gradient - applies gradient from foreground to background color within a selected region
· Internal clone tool - clones the image using its part as a source (in the PRO version only)
· External clone tool - clones the image using external images as a source (in the PRO version only)

Foreground and background colors

· Foreground and background colors - color indicators for the foreground and the background. By default they are black & white respectively
· Swap foreground and background colors - swap the colors so that the foreground color becomes the background one and vice versa

Quick access buttons to advanced features

· Saturation, brightness, contrast - access to color adjusting tool
· Effects - quick access to built-in transformations and effects
· Plug-ins - quick access to Adobe Photoshop-compatible plug-ins


Color palette window

The color palette window contains various tools for choosing a color in RGB (Red, Green and Blue - three components that are required to create a color that is displayed on screen). You can choose either a foreground or a background color using the palette - click on the appropriate button in the toolbar window and proceed to select the color. The letter in bold (either F or B) in the right top corner of the window lets you see what is currently selected - the foreground or the background color.

You can choose the color in RGB mode by sliding the bars beneath each channel (Red, Green or Blue) or simply typing in the codes for each channel. The permittable values are 0-255. The gradient bars give you the guidance on what the color will be like if you slide the bar in each direction.

For example, the screenshot shows the black foreground color. If you move the B bar to the extreme right, the color will change to a shiny blue.

color palette copy

Below the gradient bars you can see a quick-access palette with 48 most common colors already pre-selected for you. You can apply these colors either to the foreground or to the background simply by clicking on one of the colored squares.

The three rows of small grey squares in the quick-access palette are for custom, user-defined colors. To define a custom color, choose the color and then right-click with your mouse button on one of the gray squares. The square will change its color to the newly defined one.

You can set the user-defined square to the empty one by clicking with your right mouse button on it once again.

There is one more, perhaps more familiar for a majority of Windows users, way to define either a background or a foreground color. You can use the standard color palette that is accessible via the palette button in the right part of the editor's color palette window.


Options window

The options window contains properties for the drawing tools, namely the Brush, the Pencil and the Eraser. The Opacity property is also used for the Gradient and the Text tools.

optionswindowcopy2

The group of four buttons in the extreme left part of the options window lets you set shape and mode for the drawing tools.
Shape may be either square or circle while mode may be freeform (you can draw whatever you like by holding the left mouse button down) or line (drawing in straight lines only).

The Size pull-down menu lets you customize the size of a drawing tool. The size ranges from 1 to 51 pixels.

The Type pull-down menu is disabled in this version.

The Opacity pull-down menu lets you specify how transparent the lines should be. 100% stands for a completely solid line while 0% stands for absolutely opaque.


Creating, opening and scanning images

VCW VicMan's Photo Editor lets you create and open images in a variety of ways.

Creating a new image

As you run VCW VicMan's Photo Editor, it creates a new empty image. You can work with it or create a new one by choosing the New item in the File tab (hotkey: Ctrl+N) in the main menu. Alternatively, you can use the New button in the main toolbar.

As you push the button or choose a menu item, a dialog window requiring you to enter image size pops up:

Note that in free version neither width nor height can exceed 1000 pixels.

Opening existing images

VCW VicMan's Photo Editor supports viewing the following image types: BMP, JPG, GIF, PCX, PNG, PSD, PSP, PCD, WMF, TGA, TIF, PBM, PGM, PPM, RGB, RLA, RLE, RPF, ICB, PCC, PDD, PIC, SCR, SGI, VDA, VST, WIN, EMF, ICO, BW, CEL, CUT, DIB.

If you associated one or more of the above-mentioned file types with VCW VicMan's Photo Editor on its first startup, you can open an image in the editor by double-clicking its icon in Windows Explorer.

You can open an existing image from your hard drive by choosing the Open item in the File tab of the main menu or pressing Ctrl+O.

Alternatively, you can push the Open button on the main toolbar, browse to the image destination and open the file.

If you have previously opened a file, you can quickly access it via the Recent files list in the File tab.

Scanning images

You can scan images from any TWAIN source directly in VCW VicMan's Photo Editor.

If you have one or more scanning devices or are using Photo Editor for this purpose for the first time, you should first select scanning source by choosing the corresponding item in the File tab of the main menu.

Once you have selected scanning source and confirmed your selection, you can proceed to scanning an image by choosing Scan image from the File tab or Scan button on the main toolbar.

The scanned image will then appear in the editor and you will be able to edit and retouch it.


Saving, exporting and printing images

Saving and exporting images

VCW VicMan's Photo Editor, unlike some other image editors, does not have its own file format to save images in. Nevertheless, it supports saving images in the following formats: JPG, BMP, TGA, TIF, PCX.

To save an existing image in one of the above-mentioned file formats, choose the Save (hotkey: Ctrl+S) item in the File menu or push the Save button in the main toolbar. The image will be saved to its original destination.

If you'd like to save a newly created image or an existing image in another file format or to another location, click on Save as..., choose file destination and format and save the image.

Note that VCW VicMan's Photo Editor PRO lets you export images to GIF as well.

Printing images

You can print out the current image by choosing the appropriate item in the File tab (hotkey: Ctrl+P) or clicking on the Print button in the main toolbar.

Closing images

You can close the current image by choosing the Close item in the File tab or pushing the Close button in the main toolbar. Take care to save any changes before closing an image as there won't be any prompts to save it prior to closing it.


Selecting rectangular regions

You can apply tools and effects to parts of an image by selecting regions within the image.

There are three different types of image areas available for selecting:
· Rectangular regions (see below)
· Freeform regions
· Regions of similar color

Each type has its own benefits and may be used for different purposes.

Selecting rectangular regions

Selecting rectangular areas may be useful if you need to crop an image to a certain size or, for example, if you want to fill a rectangular area with color.

To select a rectangular region, choose the corresponding button from the toolbar window, click and hold your left mouse button in the editing window, dragging it across the area you would like to select. When the area is covered, release the left mouse button. The region is selected and you can proceed to work with it.

If you need to select a region that is larger than the area displayed in the editing window, you can use the arrow keys to aid you while applying the selection tool.

Note that to select a rectangular area that covers all the image you should use the "Select all" button on the main toolbar.

To select multiple regions, hold the "Shift" key down as you select the second and all the next areas. You can then work with all selected areas simultaneously.


Selecting freeform regions

When a rectangular selection is not quite what you are looking for - for example, when you want to select a face out of the photo and apply an effect to it, or select an area and fill it with color afterwards, you can use the freeform selecting feature in VCW VicMan's Photo Editor. This feature is implemented in the Lasso tool available on the toolbar window.

lasso To select a freeform area within an image, choose the "Lasso" button in the toolbar window, click on the editing window and, holding your left mouse button, move the mouse cursor on the image to form a selected area. When you release your mouse button, the region border will automatically snap its ends to form a closed area.

To select multiple regions, hold the "Shift" key down as you select the second and all the next areas. You can then work with all selected areas simultaneously.


Selecting regions of similar color

The Magic Wand tool lets you select regions of similar color. This may be useful if you need to select an oddly-shaped region of one or more colors - impossible to do by the Select rectangular region tool and possible, but time-consuming with the Lasso tool.

To select a region of similar color, choose the Magic Wand on the toolbar window and click with your left mouse button on the desired color in the editing window.

To select multiple regions, hold the "Shift" key down as you select the second and all the next areas. You can then work with all selected areas simultaneously.


Working with selected regions

You can work with a selected region in just the same way as you would with the whole image: draw within the selection, fill it with colors, apply transformations, effects and plug-ins as well as use gamma correction tools, adjust saturation, brightness and contrast.

You can also copy, cut and clear (Ctrl+D) selections using the controls on the main menu, main toolbar or hotkey shortcuts.

However, there's one difference between the whole image and its part. A selected part of the image may be moved within it.

There's a special tool on the toolbar window for moving selected regions. To move a selected area, choose the tool, click on the area and, holding down your left mouse button, drag the area to its destination.


Using drawing tools

There are three drawing tools available in VCW VicMan's Photo Editor: Pencil, Paintbrush and Eraser.

The Pencil lets you draw freeform and straight lines without anti-aliasing. It uses the foreground color. You can choose between two shapes (square and circle) and two modes (freeform or line) in the options window. You can also specify the tool's size and opacity.

The Paintbrush lets you draw straight and freeform lines with anti-aliasing. It makes use of the foreground color. Just as with the Pencil tool, you can choose between two shapes (square and circle) and two modes (freeform or line) in the options window. You can also specify the tool's size and opacity.

The Eraser tools is frequently used for deleting the previously drawn artwork by filling the area with the background color. The tool can be used in two shapes (square and circle) and two modes (freeform or line) which you can choose in the options window. You can also adjust the tool's size and opacity in the same window.

To temporarily transform any of the above-mentioned tools to the Eyedropper tool, hold down the Alt button while choosing the tool form the toolbar menu and then moving your mouse cursor over the editing window.

Note that all the drawing tools apply to selected regions. By default the whole image is selected. When you select an area of the image, the tools apply changes to the selected area only.


Using fills

There are two types of color fills in VCW VicMan's Photo Editor: the basic fill and the advanced fill.

The basic Fill fills the selected area or an area of similar color with the foreground color.

The advanced Fill fills the image up to the background color. It means that if you have a colored image with, say, strokes of light blue which is the current background color, then this tool will fill all the image (or a selected region) with the foreground color, leaving areas that have the background color intact.

Note that both Fills apply to selected regions. By default the whole image is selected. When you select an area of the image, the tools apply changes to the selected area only.


Using color replace tools

There are two color replace tools in VCW VicMan's Photo Editor. They both work using the background color.

The first one replaces the clicked color with the background color. This means that when you choose this tool from the toolbar window and click on any color in the editing window, all areas of this color, be it the whole image, stand-alone pixels or oddly-shaped forms, will be changed to the current background color.

The second one replaces all the colors except the clicked one with the background color. This means that when you pick this tool and click on any color in the editing window, all areas of other colors will be filled with the background color.

Note that both color replace tools apply to selected regions. By default the whole image is selected. When you select an area of the image, the tools apply changes to the selected area only.


Inserting text

Inserting formatted text is the crucial feature of any image editor. VCW VicMan's Photo Editor lets you insert text with different font faces, styles and sizes. It also provides an option for anti-aliasing the text, text alignment and interval between letters.

The Text tool can be accessed via the toolbar window. Once you choose the tool and click anywhere in the editing window, a dialog window pops up requiring you to type in the text and customize it.

Once you have typed the text, you can choose the font face, size and alignment (left, center or right) for it. You can also make the text Bold (B), Italic (K) or Underlined using the respective buttons.

When you are done, click "OK" and you will return to the editing window. The text will appear to be selected. You can then move the phrase anywhere within the image using the Move selection tool.

You can also change the opacity of the text in the options window.

texttool


Applying gradient

The Gradient tool lets you create great gradient effects across the whole or a part of the image.

The Gradient tool creates gradient effect from the background to the foreground colors. To use the tool, click on the image in the editing window, hold your left mouse button and draw a line to another part of the window, releasing the mouse button. The longer the line, the more gradually the colors will merge one into another.

You can create gradients in any direction - everything depends on where you place the starting point and where - the finishing point.

You can also apply transparency to your gradient using the Opacity option in the options window. You can create multi-layered, beautiful gradient backgrounds by overlaying semi-transparent gradients one on another.

Note that the Gradient tool applies to selected regions. By default the whole image is selected. When you select an area of the image, the tool apply changes to the selected area only.


Cloning tools

Cloning tools are very useful in retouching and duplicating images. They clone, or copy bits of the source image, allowing you to delete unwanted objects off the image without actually damaging the background pattern. For example, you may wish to remove an empty can from the otherwise perfect snapshot of a lawn, or a shoe off a sandy beach. You may want to delete noise off a scanned image, or duplicate some objects in your artwork in whole or in part. All that can easily be done with Cloning tools.

There are two types of Cloning tools in VCW VicMan's Photo Editor: the Internal cloning tool and the External cloning tool.

The Internal cloning tool uses the current image, the one you are working with, as its source. Choose the tool from the toolbar window, click with your right mouse button on the part of the image you want to clone, then click with the left mouse button on the part of the image you want to apply the tool to. Drag the mouse cursor with the left mouse button held down to clone the image.

The External cloning tool uses an external image as its source. It differs from similar clones in other image editors in one thing: as you use the tool, you are able to see through the current image what part of the external image you are using for cloning.
Choose the tool from the toolbar window, then choose a source image from the pop-up window and you will instantly see the external message through the current one.

Note that although the current image seems to be semi-transparent, no actual change is done to it.

Drag the external image, which is half-visible under the current one, with the right mouse button until you are satisfied with its position to the current image and are ready to clone it. Press the left mouse button and drag the mouse cursor, holding the button down, to clone part of the external image to the current one.

You can adjust the Cloning tools' size, shape and opacity in the options window.

Note that cloning tools are available in the PRO version only.


Basic color management

You can pick the colors both for the foreground and the background in two ways: by using the color palette or the Eyedropper tool.

You should use the color palette whenever you feel like using a new color, not yet present in your artwork. You can also use the color palette to quickly access basic colors. For more information see the color palette window chapter.

The Eyedropper tool is useful when you need to pick a color directly off your image. To use the tool, choose it from the toolbar window and click on the target color on your image in the editing window. The target color will be immediately applied to the foreground color. You can then use it for drawing, filling etc.

Note that you can temporarily transform any of the drawing tools to the Eyedropper tool by holding the Alt button down.


Foreground and background colors

There are two colors available at any time for use in drawing and painting: the foreground and the background colors. The color indicator is located in the toolbar window, just below the rows of tools. The upper left part of the indicator is filled by the foreground color, the bottom right one - with the background color.

By default the foreground is black and the background is white. To change a color, click on it and then proceed to pick a color via the color palette or the Eyedropper tool.

The button with two arrows to the right of the color indicator lets you swap the foreground and the background colors.


Gamma correction

You can use the Gamma correction utility for adjusting Red, Blue and Green channels of an image or a selected region. This is useful if you want to correct a photo that appears to be reddish - by dragging the bar so that the Red channel is less visible, or when you want to create stylish images - for example, everything autumnally yellowish or icy blue.

The Gamma correction window is accessible via the button below the color indicators on the toolbar window. It can also be accessed on the Effects->Color->Gamma correction tab in the main menu.

Hold and drag the channel lines in the Gamma correction window to adjust color channels.

gamma correction

Note that Gamma correction tool applies to selected regions. By default the whole image is selected. When you select an area of the image, the tools apply changes to the selected area only.


Saturation, brightness, contrast

In VCW VicMan's Photo Editor you can easily adjust an image's saturation, brightness and contrast levels. This is very useful in retouching photos - for example, the image appears to be too dark or too pale. With these tools you can easily and effortlessly improve your photos.

The Saturation, brightness and contrast tools are accessible via the toolbar window: the button is located just below the color indicators. They can also be accessed on the Effects->Color->Saturation, brightness, contrast tab in the main menu.

Saturation, brightness and contrast levels can be easily adjusted by dragging the sliding bars to the left (less saturated, bright etc.) and to the right (more saturated, bright etc.)

satgrcont

Note that this tool applies to selected regions. By default the whole image is selected. When you select an area of the image, the tools apply changes to the selected area only.


What is color tolerance

Color tolerance is one of the unique features of VCW VicMan's Photo Editor. It is a powerful tool that lets you easily clear backgrounds, select and fill complex objects and more. The color tolerance feature is usually used with the Magic Wand tool. It is also extensively used with the Fills and color replace tools.

Color tolerance decreases the number of colors in the image, making similar colors identical and at the same time making no actual change to the image. This is useful when you need to fill a complex object and it would take lots of time to select all the different colors contained in it one by one.

Color tolerance in VCW VicMan's Photo Editor is a unique feature because of its visual "live" approach. It means that you can adjust tolerance even after you made an action and you will see this action changing in real time. For example, if you used magic wand to select region, you can see it becoming wider or narrower while you adjust tolerance level.


Color tolerance controls

Color tolerance control appears in the "options" window when you select one of the tolerance-enabled tools.


Usage example

See the tutorials


Basic transformations

With VCW VicMan's Photo Editor you can perform various transformations over your images.

There are two types of transformations available: basic and advanced. You can also create custom advanced transformations.

Basic transformations

These include crop, resize, and rotate tools. All the tools are accessible via the Edit tab of the main menu.

· Crop - deletes all parts of an image except the selected area
· Resize - resizes the current image. Enter new values in pixels or percent. Check the Constrain proportions box to preserve the initials proportions of the scaled image
· Rotate clockwise - rotates the image 90 degrees clockwise.
· Flip vertical - mirrors the image along the horizontal axis so that the top becomes the bottom and vice versa
· Flip horizontal - mirrors the image along the vertical axis so that the left part becomes the right one and vice versa.


Advanced transformations

Advanced transformations use mathematical transformations to skew, slant, twist, slice and dice your images. The built-in transformations are accessible in the Effects->Transformations tab of the main menu.

To apply a transformation effect to the whole or a part of an image, choose the transformation name from the menu and click on it. You will see a dialog window with the effect formula, argument values and the preview screen. Slide the argument value bars to the left and to the right and preview the changes in the adjoining preview window. When you are happy with the effect's result, click "OK" and you will return to the main screen.

You can also create your own advanced transformations.

Note that advanced transformations apply to selected regions. By default the whole image is selected. When you select an area of the image, the tools apply changes to the selected area only.


Creating custom transformations

To create your own transformation effect, choose Effects->Transformations->New from the main menu.

You will see the following screen:

Here you can select up to 6 constants (transformation parameters), name them and specify default values. When you apply the transformation, you will see the appropriate number of sliders - one for each parameter. It is recommended to pick such default values which do not make any changes to the image.

Parameter value sliders let you change constants from 0 to 100.

Tip: If you need, for instance, to get a parameter in interval 7..11, use an expression like (a/25+7).

Tip: It is highly advised to enclose all expressions with constants in brackets. In this case expressions will be calculated once per the transformation and not for each pixel separately.

Choose the coordinate system (Cartesian or Polar) and enter a formula for it.

You can choose whether the defined coordinates will be a source or a destination. This allows you to create reverse transformations with a simple switch.

Click the Test button to test the transformation on the current image. No actual change will be applied to the image.

When you have finished tuning and testing your transformation, click Add to save it.

To delete a custom transformation, choose Effects-> Transformations-> Delete from the main menu, pick the transformation you want to delete from the pull-down list and click "OK".

Constants, functions and operators

Constants

Cartesian
w width of active region;
h height of active region;
cx =x-w/2 - horizontal coordinate of region center;
cy =y-h/2 - vertical coordinate of region center.
Polar
r distance from center to a point;
t angle.

Functions and Operators

+ addition;
- subtraction;
* multiplication;
/ division;
sin() sine;
cos() cosine;
sqr(), sqrt() square root;
abs() absolute value;
int() integer part;
random() random value (0..arg)

Note: random() function is calculated separately for each pixel even if the argument does not depend on {cx,cy,x,y,r,t}.


Image rendering

The image rendering tools are available in the Effects-> Stylize,render tab of the main menu.

To apply image rendering to the whole image or its selected region, choose one of the tools, adjust the options in the dialog window and click "OK".

The image rendering tools are:
· Buttonize - makes the whole image or a selected area look as if it were a button
· Clouds - applies plasma clouds to the image
· Emboss - makes the picture as if it was carved on stone or metal


Using trilinear filters

With VCW VicMan's Photo Editor you can apply various trilinear filters to your images. Such filters exploit the pixel nature of raster images. The built-in trilinear filters are accessible in the Effects->Trilinear filters tab of the main menu.

To apply a trilinear filter to the whole or a part of an image, choose the filter name from the menu and click on it. The filter will be applied immediately.

You can also create your own trilinear filters.

Note that trilinear filters apply to selected regions. By default the whole image is selected. When you select an area of the image, the tools apply changes to the selected area only.


Creating custom trilinear filters

To create your own transformation effect, choose Effects->Trilinear filters->New from the main menu.

You will see the following screen:

For each pixel of the image or its part, the values of RGB components are multiplied by the central matrix element. The RGB components of the adjacent pixels are multiplied by the appropriate matrix elements. Then the results are added termwise (component by component) and divided by the Divider parameter. The division result is the new pixel color.

Click the Preview button to test the filter on the current image. No actual change will be applied to the image.

When you have finished tuning and testing your trilinear filter, click Add to save it.

To delete a custom transformation, choose Effects-> Trilinear filters-> Delete from the main menu, pick the filter you want to delete from the pull-down list and click "OK".


Plug-in support

What use has an image editor that lets one use the basic features only? However masterly and keen on drawing and painting one might be, it is sometimes useful and much more quickly to use an existing effect or filter instead of building it from scratch on one's own.

VCW VicMan's Photo Editor supports most of Adobe Photoshop-compatible plug-ins that set much wider horizons for one's painting and retouching techniques. The program supports up to 90% of all available Photoshop plug-ins: the remaining 10% are the filters developed by the Adobe Team that use unique Photoshop features unsupported by VCW VicMan's Photo Editor.

The file extension for supportable Photoshop plug-ins is 8BF. Most of the supported plug-ins are free.

VCW VicMan's Photo Editor comes with three sets of plug-ins preinstalled:

· Paint Engine (freeware, Fantastic Machines, http://www.fantasticmachines.com/)
· Harry's Filters (freeware, Harald Helm, http://www.plugingalaxy.com/)
· Sapphire Collection 6 (freeware, Sapphire Innovations, http://www.sapphire-innovations.com/)

You can obtain more information about these plug-ins by choosing the About plug-ins item in the Plug-ins tab.


Working with plug-ins

You can change the look of your photo or artwork with various Adobe Photoshop-compatible plug-ins that can be imported into the editor.

You can apply plug-in effects to a part of an image or the image in whole.

Step 1. Selecting an area for plug-in application
To apply a plug-in to an image area, select a region. To apply a plug-in to the whole image select all the area by pressing the "Select all" button on the main toolbar.

Step 2. Pick a plug-in from the plug-ins list
To choose a plug-in, simply select its name from the File->Plug-ins menu or the toolbar window and click on it with your left mouse button. The plug-in settings window will appear.

chooseplugins

Step 3. Configuring and applying a plug-in
All plug-ins have different properties and settings to adjust. The screenshot below shows the settings for one of the Sapphire plug-ins from the Sapphire Collection.
Most plug-in windows have a preview window so that you can see the changes made to the original picture right away. When you have adjusted all the settings and are happy with the result, click "OK" and you will return to the editor windows with the updated image.


Importing a plug-in

You can import Adobe Photoshop-compatible plug-ins into VCW VicMan's Photo Editor in just a few clicks:

Step 1
Choose the Import plug-in item in the Plug-ins tab. An explorer window will open up, pointing to the default plug-in directory.

Step 2
Choose the plug-in in the default plug-in folder or browse to its destination, select it and click 'Open'. A dialog window requiring you to set the name for the new plug-in will appear. Type one and click 'OK'.

Step 3

The new plug-in has been imported. It will appear under the User's plug-ins item in the Plug-ins menu.


Removing a plug-in

You can easily remove plug-ins from VCW VicMan's Photo Editor with a few mouse clicks.

Step 1
Choose the Remove plug-in item from the Plug-ins tab in the main menu.

Step 2
Choose the plug-in to be removed from the main menu and click on its name. The plug-in has been removed. There will appear a small pop-up window stating that.

Note that all plug-ins are removed from the editor menu, but their files are left intact on your hard drive so you can import them again or use them with other software.


Contacts

VicMan Software is a software development company that has a history of successful software releases for more than five years. The company is particularly well-known for the following superb-quality products: Active Email Monitor, VCW VicMan's Photo Editor, and a variety of Interface Improvers.

Other products by VicMan Software

Check out other VicMan Software products on our website:
http://www.vicman.net/

· Active Email Monitor is a powerful utility that comprises a multi-account email checker, an antispam filter and a mailbox cleaner. It is also an antivirus tool that will protect your mailbox from email viruses and worms such as Melissa, ILOVEYOU and more. Read more...
· Jpeg Fixer is an easy in use and extremely powerful program that lets you recover images, spoiled by low-quality JPEG compression. It uses unique technology that lets even novice easily quickly and effectively remove so-called "JPEG artefacts" from his/her images. Unlike all other methods, our unique intellectual technology developed by graduated scientists doesn't spoil your photos simply but bluring them, but recovers them meaning that your images will look like they looked before JPEG compression! Read more...
· And more...

Contacts

Sales contacts: sales@vicman.net
Marketing contacts: marketing@vicman.net
Support contacts: support@vicman.net


Troubleshooting

We would very much appreciate you contacting us if you experience any problems while working with VCW VicMan's Photo Editor. Your cooperation will help the program get even better.

The address for reporting is bugreport@vicman.net.

Please include the following information in your message:

· The version of the Windows system you are using
· Your hardware specifications (CPU model, amount of operating memory etc.)
· Description of the problem you encountered


License agreement
Previous Top

License Agreement

All copyrights to VCW VicMan's Photo Editor are owned by VicMan Software.

VCW VicMan's Photo Editor is provided to you free of charge. Should you accept the terms of this agreement, VicMan Software will grant you the personal and non-exclusive right to install and use the software.

VCW VicMan's Photo Editor or any other materials provided in this package may not be modified in any way. You may NOT upload the software to a freeware or shareware site without first receiving written permission from VicMan Software.

No parts of VCW VicMan's Photo Editor or other files provided in this package may be reproduced in part or in whole. You may not remove any copyright or other proprietary notice from VCW VicMan's Photo Editor. You may not reverse engineer, decompile, or disassemble VCW VicMan's Photo Editor.

Disclaimer

VCW VICMAN'S PHOTO EDITOR IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.

IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Trademarks

Any product or brand names mentioned in VCW VicMan's Photo Editor and associated manuals and files are trademarks or registered trademarks of their respective owners.

YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS. YOU FURTHER AGREE THAT IT IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN US THAT SUPERSEDES ANY PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN US RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT.

Publisher: VicMan Software
Website: http://www.vicman.net/
Email: support@vicman.net